// datetest.c - Driver for Date class with various interesting operators
#include "stdio.h"
#include "iostream.h"
#include "stdlib.h"
#include "time.h"
#include "Date.h"

int main(int argc, char * argv[])
{
    // Input argument is two dates in the form Month/Day/Year
    int month1, day1, year1;
    int month2, day2, year2;
    if (argc != 3 ||
            sscanf(argv[1], "%d/%d/%d", &month1, &day1, &year1) != 3 ||
            sscanf(argv[2], "%d/%d/%d", &month2, &day2, &year2) != 3) {
        fprintf(stderr, "Usage: %s MM/DD/YY MM/DD/YY\n", argv[0]);
        return 1;
    }

    Date date1(month1, day1, year1);
    Date date2(month2, day2, year2);

    cout << "date1 is " << date1 << "; date2 is " << date2 << endl;

    cout << "date1 - date2 is " << (date1 - date2) << endl;

    cout << "7 days after " << date1 << " is " << (date1 + 7) << endl;
    
    cout << "30 days before " << date2 << " is " << (date2 - 30) << endl;

    cout << "date1 is " << date1 << "; date2 is " << date2 << endl;

    ++date1;
    cout << "After increment, date1 is " << date1 << endl;

    date2 -= 10;
    cout << "After subtracting 10, date2 is " << date2 << endl;

    Date date3 = date2++;
    cout << "After increment, date2 is " << date2 << "; date3 is " << date3 << endl;

    cout << "date1 is " << date1 << "; date2 is " << date2 << endl;
    cout << "date1 == date2 is " << (date1 == date2 ? "true" : "false") << endl;
    cout << "date1 < date2 is " << (date1 < date2 ? "true" : "false") << endl;

    return 0;

}
